Skip to content

Create a new collection

POST
/collections
curl --request POST \
--url https://antimony.example.com/api/collections \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "publicDeploy": true, "publicWrite": true }'

The collection

Media typeapplication/json
object
name
required
string
publicDeploy
required
boolean
publicWrite
required
boolean

Example generated

{
"name": "example",
"publicDeploy": true,
"publicWrite": true
}

The ID of the newly created collection

Media typeapplication/json
object
payload
string

Example generated

{
"payload": "example"
}

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json